#!/bin/bash

setup_path=$HOME/rsyncd
secret_file=$setup_path/rsyncd.secrets
rsync_conf=$setup_path/rsyncd.conf
pid_file=$setup_path/rsyncd.pid
uid=`id -n -u`
gid=`id -n -g`

echo Setting up rsyncd for remote access:
echo creating directory $setup_path
mkdir -p $setup_path
echo "generating $secret_file:"
read -p "specify password for user $uid (different from you user password):" passwd
echo "$uid:$passwd" > $secret_file
chmod 600 $secret_file
echo
echo
echo "Creating $rsync_conf:"
echo
read -p "specify listening port for this daemon (must be in range 8000-30000):" myport
echo
read -p "specify the base directory, only sub-directories can be accessed afterwards:" backup_dir



echo "pid file = $pid_file
lock file = $setup_path/rsync.lock
log file = $setup_path/rsync.log
port = $myport

[myfiles]
path = $backup_dir
use chroot= no
comment = RSYNC FILES
read only = true
timeout = 300
uid = $uid
gid = $gid
auth users = $uid
secrets file = $setup_path/rsyncd.secrets" > $rsync_conf



echo aliases for starting and stopping the daemon, can be added to your .bashrc:
echo
echo alias start_rsync=\'rsync --daemon --config=$rsync_conf\'
echo alias stop_rsync=\'pkill -f \"rsync --daemon --config=$rsync_conf\"\'

